Bug 2065223 - gnutls-3.7.4 is available
Summary: gnutls-3.7.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zoltan Fridrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-17 13:59 UTC by Upstream Release Monitoring
Modified: 2022-05-12 01:46 UTC (History)
5 users (show)

Fixed In Version: gnutls-3.7.4-1.fc36 gnutls-3.7.4-1.fc35 gnutls-3.7.4-1.fc34
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
* libgnutls: Added support for certificate compression as defined in RFC8879. New API functions (gnutls_compress_certificate_get_selected_method and gnutls_compress_certificate_set_methods) allow client and server to set their preferences. * certtool: Added option --compress-cert that allows user to specify compression methods for certificate compression. * libgnutls: GnuTLS can now be compiled with --enable-strict-x509 configure option to enforce stricter certificate sanity checks that are compliant with RFC5280. * libgnutls: Removed IA5String type from DirectoryString within issuer and subject name to make DirectoryString RFC5280 compliant. * libgnutls: Added function (gnutls_record_send_file) to send file content from open file descriptor. The implementation is optimized if KTLS (kernel TLS) is enabled. * libgnutls: Added function (gnutls_ciphersuite_get) to retrieve the name of current ciphersuite from TLS session. * libgnutls: The run-time dependency on tpm2-tss is now re-implemented using dlopen, so GnuTLS does not indirectly link to other crypto libraries until TPM2 functionality is utilized. * API and ABI modifications: GNUTLS_COMP_BROTLI: New gnutls_compression_method_t enum member GNUTLS_COMP_ZSTD: New gnutls_compression_method_t enum member gnutls_compress_certificate_get_selected_method: Added gnutls_compress_certificate_set_methods: Added gnutls_ciphersuite_get: New function gnutls_record_send_file: New function libgnutlsxx: Soname bumped due to ABI breakage introduced in 3.7.1
Clone Of:
Environment:
Last Closed: 2022-05-07 04:32:40 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-406 0 None None None 2022-03-17 14:06:28 UTC

Description Upstream Release Monitoring 2022-03-17 13:59:34 UTC
Latest upstream release: 3.7.4
Current version/release in rawhide: 3.7.3-2.fc36
URL: http://www.gnutls.org

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/1221/

Comment 1 Fedora Update System 2022-04-26 14:09:46 UTC
FEDORA-2022-5c4916891d has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5c4916891d

Comment 2 Fedora Update System 2022-04-26 14:09:48 UTC
FEDORA-2022-47554f7728 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-47554f7728

Comment 3 Fedora Update System 2022-04-26 14:09:50 UTC
FEDORA-2022-e3046139e5 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3046139e5

Comment 4 Fedora Update System 2022-04-26 22:01:40 UTC
FEDORA-2022-5c4916891d has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-5c4916891d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5c4916891d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-04-27 09:14:28 UTC
FEDORA-2022-47554f7728 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-47554f7728`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-47554f7728

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-04-27 09:31:40 UTC
FEDORA-2022-e3046139e5 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e3046139e5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3046139e5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-07 04:32:40 UTC
FEDORA-2022-5c4916891d has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-05-11 01:23:23 UTC
FEDORA-2022-e3046139e5 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-05-12 01:46:43 UTC
FEDORA-2022-47554f7728 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.